﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Data

Partial Public Class _Default
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
		Me.Button1.Text = "Delete"
		Me.Button2.Text = "Create"
	End Sub

	Private Function GetChildData() As DataTable
		Dim dtChild As New DataTable("FreeGoods")
		dtChild.TableName = "FreeGoods"
		dtChild.Columns.Add(New DataColumn("ProductID"))
		dtChild.Columns.Add(New DataColumn("ProductName"))
		dtChild.Columns.Add(New DataColumn("Quantity"))
		dtChild.Columns.Add(New DataColumn("ProductSequence"))
		dtChild.Columns.Add(New DataColumn("ProductParentSequence"))

		For i As Integer = 0 To 1
			For j As Integer = 0 To 1
				Dim rowChild As DataRow = dtChild.NewRow()
				rowChild(0) = "P202" & i & j
				rowChild(1) = "SampleFreeProduct" & i & j
				rowChild(2) = "2"
				rowChild(3) = "0"
				rowChild(4) = "1" & j
				'     dtChild.Rows.Add(dtChild.Rows.Count, i, "Hello First Child " + j);
				dtChild.Rows.Add(rowChild)
			Next
		Next
		dtChild.PrimaryKey = New DataColumn() {dtChild.Columns("ProductID")}
		Return dtChild
	End Function

	Private Function GetParentData() As DataTable
		Dim dtParent As New DataTable("CarrerGoods")
		dtParent.TableName = "CarrerGoods"
		dtParent.Columns.Add(New DataColumn("CustomerID"))
		dtParent.Columns.Add(New DataColumn("CustomerName"))
		dtParent.Columns.Add(New DataColumn("ProductID"))
		dtParent.Columns.Add(New DataColumn("ProductName"))
		dtParent.Columns.Add(New DataColumn("Quantity"))
		dtParent.Columns.Add(New DataColumn("ProductSequence"))
		dtParent.Columns.Add(New DataColumn("ProductParentSequence"))

		For i As Integer = 0 To 2
			Dim rowParent As DataRow = dtParent.NewRow()
			rowParent(0) = "C101" & i
			rowParent(1) = "SampleCustomer" & i
			rowParent(2) = "P101" & i
			rowParent(3) = "SampleParentProduct"
			rowParent(4) = "10"
			rowParent(5) = "1" & i
			rowParent(6) = "0"

			dtParent.Rows.Add(rowParent)
		Next
		dtParent.PrimaryKey = New DataColumn() {dtParent.Columns("ProductID")}
		Return dtParent
	End Function
	Protected Sub Button2_Click(ByVal sender As Object, ByVal e As EventArgs)
		Dim ds As New DataSet()
		ds.Tables.Add(GetParentData())
		ds.Tables.Add(GetChildData())
		ds.Relations.Add(ds.Tables("CarrerGoods").Columns("ProductSequence"), ds.Tables("FreeGoods").Columns("ProductParentSequence"))

		Me.WebHierarchicalDataGrid1.IsSelfReference = True
		Me.WebHierarchicalDataGrid1.MaxDataBindDepth = 2

		Me.WebHierarchicalDataGrid1.DataMember = "CarrerGoods"
		Me.WebHierarchicalDataGrid1.DataSource = ds
		Me.WebHierarchicalDataGrid1.DataBind()

		Me.WebHierarchicalDataGrid1.GroupingSettings.EnableColumnGrouping = Infragistics.Web.UI.DefaultableBoolean.[True]
		Me.WebHierarchicalDataGrid1.GroupingSettings.GroupedColumns.Add("CustomerID")
	End Sub
	Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)

		Me.WebHierarchicalDataGrid1.GroupingSettings.GroupedColumns.Clear()
		Me.WebHierarchicalDataGrid1.ClearTemplates()
		Me.WebHierarchicalDataGrid1.DataSource = Nothing
		Me.WebHierarchicalDataGrid1.DataBind()
		'this.WebHierarchicalDataGrid1.Columns[0].Header.
	End Sub
End Class
